package com.ruoyi.ss.store.domain;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商户列表对象 sm_store
 *
 * @author ruoyi
 * @date 2024-04-26
 */
@Data
public class Store extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 店铺id */
    private Long storeId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 商户图片 */
    @Excel(name = "商户图片")
    private String picture;

    /** 店铺名称 */
    @Excel(name = "店铺名称")
    private String name;

    /** 门店地址 */
    @Excel(name = "门店地址")
    private String address;

    /** 定位经度 */
    @Excel(name = "定位经度")
    private BigDecimal lon;

    /** 定位纬度 */
    @Excel(name = "定位纬度")
    private BigDecimal lat;

    /** 删除标志 */
    @JsonIgnore
    private Boolean deleted;
}
