package com.ruoyi.ss.store.mapper;

import java.util.List;
import com.ruoyi.ss.store.domain.Store;
import com.ruoyi.ss.store.domain.StoreQuery;
import com.ruoyi.ss.store.domain.StoreVO;

/**
 * 商户列表Mapper接口
 *
 * @author ruoyi
 * @date 2024-04-26
 */
public interface StoreMapper
{
    /**
     * 查询商户列表
     *
     * @param storeId 商户列表主键
     * @return 商户列表
     */
    public StoreVO selectStoreByStoreId(Long storeId);

    /**
     * 查询商户列表列表
     *
     * @param store 商户列表
     * @return 商户列表集合
     */
    public List<StoreVO> selectStoreList(StoreQuery store);

    /**
     * 新增商户列表
     *
     * @param store 商户列表
     * @return 结果
     */
    public int insertStore(Store store);

    /**
     * 修改商户列表
     *
     * @param store 商户列表
     * @return 结果
     */
    public int updateStore(Store store);

    /**
     * 删除商户列表
     *
     * @param storeId 商户列表主键
     * @return 结果
     */
    public int deleteStoreByStoreId(Long storeId);

    /**
     * 批量删除商户列表
     *
     * @param storeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStoreByStoreIds(Long[] storeIds);
}
